Get the status + result of an async public-API job
GET
/api/public/v1/jobs/{job_id}
Code sample: cURL
curl --request GET \ --url 'https://api.getzutax.com/api/public/v1/jobs/4c998c4e-8f2b-4b8a-96fc-50a993f2613d' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” job_id
required
Job Id
string format: uuid
Responses
Section titled “ Responses ”Successful Response
Media type application/json
JobResponse
GET /jobs/{id} response.
object
id
required
Id
string format: uuid
kind
required
Kind
string
status
required
Status
string
created_at
required
Created At
string format: date-time
Examples
Example Sample response
200 response example
{ "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "kind": "invoice.create.async", "status": "queued", "created_at": "2026-02-11T10:00:00Z", "started_at": "2026-02-11T10:00:00Z", "completed_at": "2026-02-11T10:00:00Z", "target_resource_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "result_body": {}}Validation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examples
Example Sample response
422 response example
{ "detail": [ { "loc": [], "msg": "string", "type": "string" } ]}